﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Calculations;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public Dictionary<string, object> Objects { get; set; }

        public List<TestData> Data { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            Objects = new Dictionary<string,object>();
            Objects.Add("[Attribute X]", "VLX20");
            Objects.Add("[Attribute A]", 20);
            Objects.Add("[Attribute B]", 10);

            Data = new List<TestData>();
            Data.Add(new TestData { Shipping = 0, Price = 10, Quantity = 1 });
            Data.Add(new TestData { Shipping = 0, Price = 20, Quantity = 1 });
            Data.Add(new TestData { Shipping = 0, Price = 10, Quantity = 1 });

            this.DataContext = this;
        }
    }

    public class TestData
    {
        public double Shipping { get; set; }

        public double Price { get; set; }

        public double Quantity { get; set; }
    }
}
